﻿using CarpentryWorkshop.Entities.Enums;

namespace CarpentryWorkshop.Entities;

public class Order
{
    public int Id { get; private set; }
    public DateTime DataOrder { get; private set; }
    public OrderStatus Status { get; private set; }
    public string Description { get; private set; } = string.Empty;
    public IEnumerable<OrderProduct> OrderProduct { get; private set; } = [];
    public static Order CreateOperation(int id, OrderStatus status, string description, IEnumerable<OrderProduct> orderProduct)
    {
        return new Order
        {
            Id = id,
            DataOrder = DateTime.Now,
            Status = status,
            Description = description,
            OrderProduct = orderProduct
        };
    }
}
