﻿using CarpentryWorkshop.Entities.Enums;

namespace CarpentryWorkshop.Entities;

public class Product
{
    public int Id { get; private set; }
    public string Name { get; private set; } = string.Empty;
    public ProductType Type { get; private set; }
    public int CountInWarehouse { get;  set; }
    public IEnumerable<ProductMaterial> ProductMaterial { get; private set; } = [];
    public static Product CreateEntity(int id, string name, ProductType type, int countInWarehouse, IEnumerable<ProductMaterial> productMaterial)
    {
        return new Product
        {
            Id = id,
            Name = name,
            Type = type,
            CountInWarehouse = countInWarehouse,
            ProductMaterial = productMaterial
        };
    }
}
