using Unity;
using CarpentryWorkshop.Repositories;
using CarpentryWorkshop.Repositories.Implementations;

namespace CarpentryWorkshop
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve<FormCarpentryWorkshop>());
        }
        private static IUnityContainer CreateContainer()
        {
            var container = new UnityContainer();
            container.RegisterType<IOrderRepository, OrderRepository>();
            container.RegisterType<IMaterialRepository, MaterialRepository>();
            container.RegisterType<IProductRepository, ProductRepository>();
            container.RegisterType<IMaterialReplenishmentRepository, MaterialReplenishmentRepository>();
            return container;
        }

    }
}